/* meArm IK test - York Hackspace May 2014
 * Test applying Nick Moriarty's Inverse Kinematics solver
 * to Phenoptix' meArm robot arm, to walk a specified path.
 *
 * Pins:
 * Arduino    Base   Shoulder  Elbow    Gripper
 *    GND    Brown     Brown   Brown     Brown
 *     5V      Red       Red     Red       Red
 *     11    Yellow
 *     10             Yellow
 *      9                     Yellow
 *      5                               Yellow
 */
 // modified by Ted Lien June 2015
 
#include "meArm.h"
#include <Servo.h>

int basePin = 11;
int shoulderPin = 10;
int elbowPin = 9;
int gripperPin = 5;

meArm arm;

void setup() {
  Serial.begin(9600);
  delay(1000);
  
  arm.begin(basePin, shoulderPin, elbowPin, gripperPin);
  arm.adjustAngles(-3, 7, 10);
  arm.goDirectlyTo(0, 150, 136);
  delay(1000);
  arm.setSpeed(3);
  //while(1);
}

void loop() {
  //Clap - so it's obvious we're at this part of the routine
  arm.openGripper();
  arm.closeGripper();
  arm.openGripper();
  arm.closeGripper();
  arm.openGripper();
  delay(500);
  //Go up and left to grab something
  arm.gotoPoint(-80,100,180);
  arm.closeGripper();
  //Go down, forward and right to drop it
  arm.gotoPoint(70,200,20);
  arm.openGripper();
  //Back to start position
  arm.gotoPoint(0,150,136);
  delay(2000);
}
